diff --git a/base/server/python/pki/server/deployment/pkihelper.py b/base/server/python/pki/server/deployment/pkihelper.py
index 3c0032ff50ea02d8c4b1756cf019f0ee3fab1690..e33d43f524283465618cdffc7fbc41a2753dcf1c 100644
--- a/base/server/python/pki/server/deployment/pkihelper.py
+++ b/base/server/python/pki/server/deployment/pkihelper.py
@@ -3978,9 +3978,9 @@ class ConfigClient:
         cs_cfg = PKIConfigParser.read_simple_configuration_file(cfg_file)
         cstype = cs_cfg.get('cs.type').lower()
         cert = pki.system.SystemCertData()
-        cert.tag = self.master_dict["pki_subsystem_tag"]
+        cert.tag = self.mdict["pki_subsystem_tag"]
         cert.keyAlgorithm = cs_cfg.get("cloning.subsystem.keyalgorithm")
-        cert.keySize = self.master_dict["pki_subsystem_key_size"]
+        cert.keySize = self.mdict["pki_subsystem_key_size"]
         cert.keyType = cs_cfg.get("cloning.subsystem.keytype")
         cert.nickname = cs_cfg.get(cstype + ".subsystem.nickname")
         cert.cert = cs_cfg.get(cstype + ".subsystem.cert")
@@ -3992,10 +3992,10 @@ class ConfigClient:
 class PKIDeployer:
     """Holds the global dictionaries and the utility objects"""
 
-    def __init__(self, pki_master_dict, pki_slots_dict=None):
+    def __init__(self, pki_mdict, slots_dict=None):
         # Global dictionary variables
-        self.master_dict = pki_master_dict
-        self.slots = pki_slots_dict
+        self.mdict = pki_mdict
+        self.slots = slots_dict
         self.manifest_db = []
 
         # Utility objects
diff --git a/base/server/python/pki/server/deployment/pkiparser.py b/base/server/python/pki/server/deployment/pkiparser.py
index 2759ceeefd928c387e3d8fcf23d468640b7af41a..620c9bdb5de219b0ebdaa95c48facb627b4a76cd 100644
--- a/base/server/python/pki/server/deployment/pkiparser.py
+++ b/base/server/python/pki/server/deployment/pkiparser.py
@@ -90,8 +90,8 @@ class PKIConfigParser:
         self.authdb_connection = None
 
         # Master and Slot dictionaries
-        self.pki_master_dict = dict()
-        self.pki_slots_dict = dict()
+        self.mdict = dict()
+        self.slots_dict = dict()
 
     # PKI Deployment Helper Functions
     def process_command_line_arguments(self):
@@ -254,7 +254,7 @@ class PKIConfigParser:
         options=None, sign=':', allow_empty=True, case_sensitive=True):
 
         if default is None and key is not None:
-            default = self.pki_master_dict[key]
+            default = self.mdict[key]
         if default:
             message = message + ' [' + default + ']'
         message = ' ' * self.indent + message + sign + ' '
@@ -369,11 +369,11 @@ class PKIConfigParser:
 
 
     def flatten_master_dict(self):
-        self.pki_master_dict.update(__name__="PKI Master Dictionary")
+        self.mdict.update(__name__="PKI Master Dictionary")
 
         default_dict = dict(self.pki_config.items('DEFAULT'))
         default_dict[0] = None
-        self.pki_master_dict.update(default_dict)
+        self.mdict.update(default_dict)
 
         web_server_dict = None
         if config.pki_subsystem in config.PKI_TOMCAT_SUBSYSTEMS:
@@ -385,31 +385,31 @@ class PKIConfigParser:
 
         if web_server_dict:
             web_server_dict[0] = None
-            self.pki_master_dict.update(web_server_dict)
+            self.mdict.update(web_server_dict)
 
         if self.pki_config.has_section(config.pki_subsystem):
             subsystem_dict = dict(self.pki_config.items(config.pki_subsystem))
             subsystem_dict[0] = None
-            self.pki_master_dict.update(subsystem_dict)
+            self.mdict.update(subsystem_dict)
 
 
     def ds_connect(self):
 
-        hostname = self.pki_master_dict['pki_ds_hostname']
+        hostname = self.mdict['pki_ds_hostname']
 
-        if config.str2bool(self.pki_master_dict['pki_ds_secure_connection']):
+        if config.str2bool(self.mdict['pki_ds_secure_connection']):
             protocol = 'ldaps'
-            port = self.pki_master_dict['pki_ds_ldaps_port']
+            port = self.mdict['pki_ds_ldaps_port']
         else:
             protocol = 'ldap'
-            port = self.pki_master_dict['pki_ds_ldap_port']
+            port = self.mdict['pki_ds_ldap_port']
 
         self.ds_connection = ldap.initialize(protocol + '://' + hostname + ':' + port)
 
     def ds_bind(self):
         self.ds_connection.simple_bind_s(
-            self.pki_master_dict['pki_ds_bind_dn'],
-            self.pki_master_dict['pki_ds_password'])
+            self.mdict['pki_ds_bind_dn'],
+            self.mdict['pki_ds_password'])
 
     def ds_search(self, key=None):
         if key is None:
@@ -437,7 +437,7 @@ class PKIConfigParser:
             self.ds_bind()
             self.ds_search()
             try:
-                results = self.ds_search(self.pki_master_dict['pki_ds_base_dn'])
+                results = self.ds_search(self.mdict['pki_ds_base_dn'])
 
                 if results is None or len(results) == 0:
                     base_dn_exists = False
@@ -453,8 +453,8 @@ class PKIConfigParser:
     def sd_connect(self):
         self.sd_connection = pki.client.PKIConnection(
             protocol='https',
-            hostname=self.pki_master_dict['pki_security_domain_hostname'],
-            port=self.pki_master_dict['pki_security_domain_https_port'],
+            hostname=self.mdict['pki_security_domain_hostname'],
+            port=self.mdict['pki_security_domain_https_port'],
             subsystem='ca')
 
     def sd_get_info(self):
@@ -471,8 +471,8 @@ class PKIConfigParser:
 
     def sd_authenticate(self):
         self.sd_connection.authenticate(
-            self.pki_master_dict['pki_security_domain_user'],
-            self.pki_master_dict['pki_security_domain_password'])
+            self.mdict['pki_security_domain_user'],
+            self.mdict['pki_security_domain_password'])
 
         account = pki.account.AccountClient(self.sd_connection)
         try:
@@ -490,10 +490,10 @@ class PKIConfigParser:
 
     def authdb_connect(self):
 
-        hostname = self.pki_master_dict['pki_authdb_hostname']
-        port = self.pki_master_dict['pki_authdb_port']
+        hostname = self.mdict['pki_authdb_hostname']
+        port = self.mdict['pki_authdb_port']
 
-        if config.str2bool(self.pki_master_dict['pki_authdb_secure_conn']):
+        if config.str2bool(self.mdict['pki_authdb_secure_conn']):
             protocol = 'ldaps'
         else:
             protocol = 'ldap'
@@ -504,7 +504,7 @@ class PKIConfigParser:
     def authdb_base_dn_exists(self):
         try:
             results = self.authdb_connection.search_s(
-                self.pki_master_dict['pki_authdb_basedn'],
+                self.mdict['pki_authdb_basedn'],
                 ldap.SCOPE_BASE)
 
             if results is None or len(results) == 0:
@@ -516,7 +516,7 @@ class PKIConfigParser:
             return False
 
     def get_server_status(self, system_type, system_uri):
-        parse = urlparse(self.pki_master_dict[system_uri])
+        parse = urlparse(self.mdict[system_uri])
         conn = pki.client.PKIConnection(
                    protocol=parse.scheme,
                    hostname=parse.hostname,
